<mat-toolbar class="nav-proyect">
  <button mat-icon-button>
    <mat-icon class="icon-toolbar">list</mat-icon>
  </button>
  <span>{{nameProyect}}</span>
  <span class="spacer"></span>
  <button mat-icon-button (click)="generatePdf()">
    <mat-icon class="icon-toolbar">save_alt</mat-icon>
  </button>
  <button mat-icon-button>
    <mat-icon class="icon-toolbar">edit</mat-icon>
  </button>
  <button mat-icon-button>
    <mat-icon class="icon-toolbar">delete</mat-icon>
  </button>
  <button class="btn-new-proyect" mat-raised-button color="warn" (click)="goToHome()">NUEVA SIMULACION</button>

</mat-toolbar>

<div *ngIf="firstOption" class="container" id="element-to-print">
  <div class="cont2">
    <h1 style="color: white;">Nombre del Proyecto: <strong>{{nameProyect}}</strong></h1>
    <div style="display: flex;  margin-bottom: 24px;">
      <div class="tir-percentege">
        <div class="head-tir-per">
          <h3>TIR</h3>
        </div>
        
        <div class="body-tir-per">
          <span class="est-percentaje">Estimacion optimista</span>
          <h3 class="percentaje-result">{{tir}} %</h3>
          <span class="est-clasif back-green" *ngIf="aprove">Aprobado</span> <br>
          <span class="est-clasif back-red" *ngIf="denied">Rechazado</span>
        </div>
        <img src="./assets/image/proyect-result-svg/Graph.svg">
      </div>
      <div class="tir-percentege">
        <div class="head-tir-per">
          <h3>Inversión</h3>
          <h3 class="percentaje-result">{{inversion}}</h3>
          <mat-icon class="icon-invertion">monetization_on</mat-icon>
          <span style="color: white; text-align: center;" *ngIf="aprove">La  TIR supera el 30% de lo recomendado, por lo tanto se tiene que aceptar el proyeco de inverción</span> <br>
          <span style="color: white; text-align: center;" *ngIf="denied">La  TIR no supera el 30% de lo recomendado, por lo tanto se tiene que rechazar el proyeco de inverción</span> <br>
        </div>
      </div>
    </div>
    <h1 style="color: white;"><strong>Resultados de Flujo Neto por Año</strong></h1>
    <table mat-table [dataSource]="flujoNeto" class="mat-elevation-z8 table-flujo">
      
      <!--- Note that these columns can be defined in any order.
        The actual rendered columns are set as a property on the row definition" -->
        
        <!-- Position Column -->
        <ng-container matColumnDef="anio">
        <th mat-header-cell *matHeaderCellDef> Año </th>
        <td mat-cell *matCellDef="let element"> {{element.anio}} </td>
      </ng-container>

      <!-- Name Column -->
      <ng-container matColumnDef="flujo">
        <th mat-header-cell *matHeaderCellDef> Flujo Neto en el perido de T = {{year}} </th>
        <td mat-cell *matCellDef="let element"> {{element.flujo}} </td>
      </ng-container>
      
      
      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
  </div>
  <h1 style="color: white;"><strong>Representación Gráfica</strong></h1>
  <div class="flex">
    <div class="flex-item">
      <h3 style="text-align: center;">GRAFICO LINEAL</h3>
      <div style="display: block;">
        <canvas baseChart width="600" height="400" [datasets]="lineChartData" [labels]="lineChartLabels"
        [options]="lineChartOptions" [colors]="lineChartColors" [legend]="lineChartLegend"
          [chartType]="lineChartType">
        </canvas>
      </div>
    </div>
    <div class="flex-item">
      <h3 style="text-align: center;">Grafico de Barras</h3>
      <div style="display: block;">
        <canvas baseChart width="600" height="400" [datasets]="lineChartData" [labels]="lineChartLabels"
        [options]="lineChartOptions" [colors]="lineChartColors" [legend]="lineChartLegend" [chartType]="barChartType">
        </canvas>
      </div>
    </div>
  </div>
  <div *ngIf="false" class="cont3">
    <div class="trema">
      <h3>TREMA</h3>
    </div>
    <div class="tasa-impuesto">
      <h3>Tasa de impuesto</h3>
    </div>
    <div class="valor-rescate-fijo">
      <h3> Valor Rescate Activo-Fijo</h3>
    </div>
    <div class="valor-rescate-circulante">
      <h3>Valor Rescate Activo-Circul.</h3>
    </div>
  </div>
</div>

<div *ngIf="secondOption" class="second-container"  id="second-element-to-print">
  <h1 style="color: white;">Segundo Escenario</h1>
  <h1 style="color: white;">Nombre del Proyecto: <strong>{{nameProyect}}</strong></h1>
  <div style="display: flex;  margin-bottom: 24px;">
    <div class="tir-percentege">
      <div class="head-tir-per">
        <h3>VAN</h3>
      </div>
      
      <div class="body-tir-per">
        <!-- <span class="est-percentaje">Estimacion optimista</span> -->
        <h3 class="percentaje-result">{{prom}}</h3>
        <span class="est-clasif back-green" *ngIf="aprove">Aprobado</span> <br>
        <span class="est-clasif back-red" *ngIf="denied">Rechazado</span>
      </div>
      <img src="./assets/image/proyect-result-svg/Graph.svg">
    </div>
    <div class="tir-percentege">
      <div class="head-tir-per">
        <h3>Conclusión</h3>
        <!-- <h3 class="percentaje-result">{{inversion}}</h3> -->
        <!-- <mat-icon class="icon-invertion">monetization_on</mat-icon> -->
        <span style="color: white; text-align: center;" *ngIf="aprove">El VAN es positivo, por lo tanto se tiene que aceptar el proyeco de inverción</span> <br>
        <span style="color: white; text-align: center;" *ngIf="denied">El VAN es negativo, por lo tanto se tiene que rechazar el proyeco de inverción</span> <br>
      </div>
    </div>
  </div>
  <h1 style="color: white;">Datos de Entrada</h1>
  <table mat-table [dataSource]="secondData" class="mat-elevation-z8 table-flujo">
    
    <!--- Note that these columns can be defined in any order.
      The actual rendered columns are set as a property on the row definition" -->
      
      <!-- Position Column -->
    <ng-container matColumnDef="tipo" style="margin-right: 20px;">
      <th mat-header-cell *matHeaderCellDef> Tipo </th>
      <td mat-cell *matCellDef="let element"> {{element.tipo}} </td>
    </ng-container>

    <!-- Name Column -->
    <ng-container matColumnDef="est_pes">
      <th mat-header-cell *matHeaderCellDef> Estimación Pesimista</th>
      <td mat-cell *matCellDef="let element"> {{element.est_pes}} </td>
    </ng-container>
    <ng-container matColumnDef="est_prob">
      <th mat-header-cell *matHeaderCellDef> Estimación mas Probable </th>
      <td mat-cell *matCellDef="let element"> {{element.est_prob}} </td>
    </ng-container>
    <ng-container matColumnDef="est_opt">
      <th mat-header-cell *matHeaderCellDef> Estimación Optimista </th>
      <td mat-cell *matCellDef="let element"> {{element.est_opt}} </td>
    </ng-container>
    

    <tr mat-header-row *matHeaderRowDef="displayedSecondColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedSecondColumns;"></tr>
  </table>
  <h1 style="color: white;">Resultados</h1>
  <table mat-table [dataSource]="secondResultData" class="mat-elevation-z8 second-result__table">
    
    <!--- Note that these columns can be defined in any order.
      The actual rendered columns are set as a property on the row definition" -->
      
      <!-- Position Column -->
    <ng-container matColumnDef="index" style="margin-right: 20px;">
      <th mat-header-cell *matHeaderCellDef> Index </th>
      <td mat-cell *matCellDef="let element"> {{element.index}} </td>
    </ng-container>
    <ng-container matColumnDef="inv_ini" style="margin-right: 20px;">
      <th mat-header-cell *matHeaderCellDef> Inversión Inicial </th>
      <td mat-cell *matCellDef="let element"> {{element.inv_ini}} </td>
    </ng-container>
    
    <!-- Name Column -->
    <ng-container matColumnDef="anio_1">
      <th mat-header-cell *matHeaderCellDef> Año 1</th>
      <td mat-cell *matCellDef="let element"> {{element.anio_1}} </td>
    </ng-container>
    <ng-container matColumnDef="anio_2">
      <th mat-header-cell *matHeaderCellDef> Año 2 </th>
      <td mat-cell *matCellDef="let element"> {{element.anio_2}} </td>
    </ng-container>
    <ng-container matColumnDef="anio_3">
      <th mat-header-cell *matHeaderCellDef> Año 3 </th>
      <td mat-cell *matCellDef="let element"> {{element.anio_3}} </td>
    </ng-container>
    <ng-container matColumnDef="anio_4">
      <th mat-header-cell *matHeaderCellDef> Año 4</th>
      <td mat-cell *matCellDef="let element"> {{element.anio_4}} </td>
    </ng-container>
    <ng-container matColumnDef="anio_5">
      <th mat-header-cell *matHeaderCellDef> Año 5</th>
      <td mat-cell *matCellDef="let element"> {{element.anio_5}} </td>
    </ng-container>
    <ng-container matColumnDef="VPN">
      <th mat-header-cell *matHeaderCellDef> VPN </th>
      <td mat-cell *matCellDef="let element"> {{element.VPN}} </td>
    </ng-container>
    <ng-container matColumnDef="inflacion">
      <th mat-header-cell *matHeaderCellDef> Inflación </th>
      <td mat-cell *matCellDef="let element"> {{element.inflacion}} </td>
    </ng-container>
    <tr mat-header-row *matHeaderRowDef="displayedSecondColumnsResultAux"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedSecondColumnsResultAux;"></tr>
  </table>
  <h1 style="color: white;">GRAFICAS</h1>
  <div class="flex">
    <div class="flex-item">
      <h3 style="text-align: center;">GRAFICO LINEAL</h3>
      <div style="display: block;">
        <canvas baseChart width="600" height="400" [datasets]="lineChartData" [labels]="lineChartLabels"
        [options]="lineChartOptions" [colors]="lineChartColors" [legend]="lineChartLegend"
          [chartType]="lineChartType">
        </canvas>
      </div>
    </div>
    <div class="flex-item">
      <h3 style="text-align: center;">GRAFICO DE BARRAS</h3>
      <div style="display: block;">
        <canvas baseChart width="600" height="400" [datasets]="lineChartData" [labels]="lineChartLabels"
        [options]="lineChartOptions" [colors]="lineChartColors" [legend]="lineChartLegend" [chartType]="barChartType">
        </canvas>
      </div>
    </div>
  </div>

  
</div>
